SYNK
GET/artist/radio

Returns a smart mix of tracks based on an artist. Essential for building "Artist Radio" feeds that automatically play related and top tracks.

Rate limit
30 req/min
Caching
Cached for 1 hour.
Authentication
Send a User-Agent header containing a contact email. See authentication.

Parameters

NameTypeRequiredDescription
idstringoptionalInternal artist ID.
artiststringoptionalArtist name. Needed if id is not passed.
limitintegeroptionalNumber of tracks in the radio mix. Defaults to 25.

Request

curl 'https://api.synkradio.co.uk/artist/radio' \
  -H 'User-Agent: [email protected]'

Try it

GETTry it
Sends a real request
https://api.synkradio.co.uk/artist/radio?artist=Bicep

Response

200 application/json
[
  {
    "id": 373789561,
    "name": "Aura",
    "artist": "Bicep",
    "artistId": 369056,
    "album": "Bicep",
    "durationMs": 316000,
    "cover": "https://api.synkradio.co.uk/cover?artist=Bicep&title=Aura",
    "explicit": false
  },
  {
    "id": 2195522187,
    "name": "Emperor (Maceo Plex Last Disco Remix)",
    "artist": "Ali Love",
    "artistId": 266845,
    "album": "Emperor",
    "durationMs": 455000,
    "cover": "https://api.synkradio.co.uk/cover?artist=Ali%20Love&title=Emperor%20(Maceo%20Plex%20Last%20Disco%20Remix)",
    "explicit": false
  }
]